﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.TradeRules.Symbols
{
    public sealed class  MACDTreeNode : SymbolicExpressionTreeNode
    {
      public new MACD Symbol {
      get { return (MACD)base.Symbol;}
    }

    [StorableConstructor]
    private MACDTreeNode(bool deserializing) : base(deserializing) { }

    private MACDTreeNode(MACDTreeNode original, Cloner cloner)
      : base(original, cloner) {
      
    }

    public MACDTreeNode(MACD MACDSymbol) : base(MACDSymbol) { }

    public override bool HasLocalParameters {
      get {
        return true;
      }
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new MACDTreeNode(this, cloner);
    }

    }
}
